#ifndef _cconsts_h_
#define _cconsts_h_
#include <stdio.h> /* FILE */
#include "parse.h"

extern opcode_t *consts;

/*
 * Removes:
 * - MkString, MkInt, MkFloat, MkBool, MkChar
 * - MatchString (treated same as MkString)
 * Removes only saturated versions of: 
 * - MkTuple, MkVector, MkCons
 * Does not affect: 
 * - MkNone, MkFunction
 *
 * @NOTE
 * - makeStrings(), findStringIndex, etc - are redundant if this code is used...
 */
void initConstants();

/*
 * Output compiled versions
 *
 */ 
void makeConstants(FILE *file);

#endif /* _cconsts_h_ */
