#ifndef _ubprint_h_
#define _ubprint_h_

#include <stdio.h> /* FILE */
#include "typing.h"

/*
 * Returns the index of a print%d(..) routine for the specific type - generates intermediate code as needed
 * Trick is to normalize the type (recursive)
 * - sizes are dropped from ints/floats/vectors/strings
 */

int makePrint(FILE *file, type_t *type);

#endif /*_ubprint_h_*/
